#include <stdio.h>
#include <stdlib.h>
#include <math.h>
 double pow1(int a,int b){
   double stepen;
    stepen=1;
while(b!=0){
    stepen=stepen*a;
    b--;
}
return stepen;
}
void main()
{
    int a1,b1,c1,a,b,c;
    scanf("%d %d %d",&a1,&b1,&c1);
    int br1,br2,br3;
    br1=0;
    br2=0;
    br3=0;
    a=a1;
    b=b1;
    c=c1;
        while(a){
        a=a/10;
        br1++;
    }
     while(b){
        b=b/10;
        br2++;

    }
     while(c){
        c=c/10;
        br3++;
    }
 double prva,druga,treca,cetvrta,peta,sesta;
    prva=a1*pow1(10,br2+br3)+b1*pow1(10,br3)+c1;

    druga=a1*pow1(10,br2+br3)+c1*pow1(10,br2)+b1;

    treca=b1*pow1(10,br3+br1)+a1*pow1(10,br3)+c1;

    cetvrta=b1*pow1(10,br1+br3)+c1*pow1(10,br1)+a1;

    peta=c1*pow1(10,br2+br1)+a1*pow1(10,br2)+b1;

    sesta=c1*pow1(10,br2+br1)+b1*pow1(10,br1)+a1;

  double n[6];
    n[0]=prva;n[1]=druga;n[2]=treca;n[3]=cetvrta;n[4]=peta;n[5]=sesta;
   double max=n[0];
    for(int i=1;i<6;i++){
        if(n[i]>max){
            max=n[i];
        }
    }

    printf("%.0lf",max);

}